import { Action } from './action.js';
import { Actor } from './actor.js';

export class Public extends Actor {
  constructor(name) {
    super(name);
    this.actions = {
      submitRequest: new Action('submit work request'),
    };
  }

  async submitRequest(business, { fee }, content) {
    this.actions.submitRequest.log(this, business, `(fee: ${fee})`);
    return business.submitRequest(fee, content);
  }
}
